# 团蜂商家端独立


## 文件描述

- `components` 里面是**公共**的组件模块 由于需要适配小程序 我们需要做分包 这里的根目录下面是所有页面都能使用到的组件模块 在分包里面会另外有 components 组件 ，这些组件是我们自定义封装的组件 ，专门用于使用到该分包里面的组件

- `config` 里面是接口文件 分为 module 文件 可以根据自己喜好自定义模块 但是需要再 index.js 里面做统一导出处理

- `mixins` 混入的使用 根据自己需求使用混入

- `pages` 在 pages 里面 ，打包的文件会放到主包里面，我们尽量在这里面只放入 tabbar 页面 以及较少的页面

- `static` 静态资源文件 里面一般是一些图片资源或者一些字体资源外部引入的 js 资源，以及 icon 图标资源等

- `store` vuex 文件 可以根据 modules 在 index.js 制定自己导出的模块文件

- `utils` 工具类文件 里面放置一些工具类函数 初始换只有请求函数 后续自己添加

- `uni.scss` 里面写入的是全局的 css 变量以及函数等

